Package org.silverpeas.components.whitepages.model

# Class Card

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.whitepages.model.Card

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

public class Card extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Card()`
  `Card(String instanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationDate()`
  `int`
  `getCreatorId()`
  `int`
  `getHideStatus()`
  `String`
  `getInstanceId()`
  `protected String`
  `getTableName()`
  `String`
  `getUserId()`
  `org.silverpeas.core.contribution.content.form.DataRecord`
  `readCardRecord()`
  `org.silverpeas.core.contribution.content.form.Form`
  `readCardUpdateForm()`
  `org.silverpeas.core.contribution.content.form.Form`
  `readCardViewForm()`
  `boolean`
  `readReadOnly()`
  `org.silverpeas.core.contribution.content.form.Form`
  `readUserForm()`
  `UserRecord`
  `readUserRecord()`
  `void`
  `setCreationDate(String date)`
  `void`
  `setCreatorId(int creatorId)`
  `void`
  `setHideStatus(int hideStatus)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setUserId(String userId)`
  `void`
  `writeCardRecord(org.silverpeas.core.contribution.content.form.DataRecord cardRecord)`
  `void`
  `writeCardUpdateForm(org.silverpeas.core.contribution.content.form.Form cardUpdateForm)`
  `void`
  `writeCardViewForm(org.silverpeas.core.contribution.content.form.Form cardViewForm)`
  `void`
  `writeReadOnly(boolean readOnly)`
  `void`
  `writeUserForm(org.silverpeas.core.contribution.content.form.Form userForm)`
  `void`
  `writeUserRecord(UserRecord userRecord)`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Card

    public Card()

  - ### Card

    public Card(String instanceId)

- ## Method Details

  - ### getUserId

    public String getUserId()

  - ### getHideStatus

    public int getHideStatus()

  - ### getInstanceId

    public String getInstanceId()

  - ### readReadOnly

    public boolean readReadOnly()

  - ### readUserRecord

    public UserRecord readUserRecord()

  - ### readCardRecord

    public org.silverpeas.core.contribution.content.form.DataRecord readCardRecord()

  - ### readUserForm

    public org.silverpeas.core.contribution.content.form.Form readUserForm()

  - ### readCardViewForm

    public org.silverpeas.core.contribution.content.form.Form readCardViewForm()

  - ### readCardUpdateForm

    public org.silverpeas.core.contribution.content.form.Form readCardUpdateForm()

  - ### setUserId

    public void setUserId(String userId)

  - ### setHideStatus

    public void setHideStatus(int hideStatus)

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### writeReadOnly

    public void writeReadOnly(boolean readOnly)

  - ### writeUserRecord

    public void writeUserRecord(UserRecord userRecord)

  - ### writeCardRecord

    public void writeCardRecord(org.silverpeas.core.contribution.content.form.DataRecord cardRecord)

  - ### writeUserForm

    public void writeUserForm(org.silverpeas.core.contribution.content.form.Form userForm)

  - ### writeCardViewForm

    public void writeCardViewForm(org.silverpeas.core.contribution.content.form.Form cardViewForm)

  - ### writeCardUpdateForm

    public void writeCardUpdateForm(org.silverpeas.core.contribution.content.form.Form cardUpdateForm)

  - ### getTableName

    @NonNull protected String getTableName()
    Specified by:
      `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

  - ### setCreationDate

    public void setCreationDate(String date)

  - ### setCreatorId

    public void setCreatorId(int creatorId)

  - ### getCreationDate

    public String getCreationDate()

  - ### getCreatorId

    public int getCreatorId()